Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Mirror API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mirror.declaration
Interface EnumDeclaration

All Superinterfaces:
  ClassDeclaration, Declaration, MemberDeclaration, TypeDeclaration

    public interface EnumDeclaration

extends ClassDeclaration

Represents the declaration of an enum type.

Since:
  1.5

Method Summary
`Collection<EnumConstantDeclaration>` | `getEnumConstants()` Returns the enum constants defined for this enum.

Methods inherited from interface com.sun.mirror.declaration.ClassDeclaration
`getConstructors, getMethods, getSuperclass`

Methods inherited from interface com.sun.mirror.declaration.TypeDeclaration
`getFields, getFormalTypeParameters, getNestedTypes, getPackage, getQualifiedName, getSuperinterfaces`

Methods inherited from interface com.sun.mirror.declaration.MemberDeclaration
`getDeclaringType`

Methods inherited from interface com.sun.mirror.declaration.Declaration
`accept, equals, getAnnotation, getAnnotationMirrors, getDocComment, getModifiers, getPosition, getSimpleName`

Method Detail

### getEnumConstants

    Collection<EnumConstantDeclaration> getEnumConstants()

  Returns the enum constants defined for this enum.

  Returns:
    the enum constants defined for this enum, or an empty collection if there are none

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Mirror API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Report a bug or request a feature.
Copyright 2004 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.